zenilib: zenilib/jni/external/libvorbis/lib/lsp.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
lsp.c File Reference
`#include <math.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "lsp.h"`
`#include "os.h"`
`#include "misc.h"`
`#include "lookup.h"`
`#include "scales.h"`

Go to the source code of this file.

## Macros

#define | EPSILON 10e-7

## Functions

static void | cheby (float *g, int ord)
static int | comp (const void *a, const void *b)
static int | Laguerre_With_Deflation (float *a, int ord, float *r)
static int | Newton_Raphson (float *a, int ord, float *r)
int | vorbis_lpc_to_lsp (float *lpc, float *lsp, int m)
void | vorbis_lsp_to_curve (float *curve, int *map, int n, int ln, float *lsp, int m, float amp, float ampoffset)

## Macro Definition Documentation

#define EPSILON 10e-7

Definition at line 309 of file lsp.c.

Referenced by Laguerre_With_Deflation().

## Function Documentation

static void cheby | ( | float * | g,
|  | int | ord
| ) |  |

static

Definition at line 286 of file lsp.c.

References i, and j.

Referenced by vorbis_lpc_to_lsp().

static int comp | ( | const void * | a,
|  | const void * | b
| ) |  |

static

Definition at line 298 of file lsp.c.

Referenced by ca_open_capture(), ca_open_playback(), png_write_iCCP(), png_write_iTXt(), png_write_zTXt(), prepare_audiounit(), and vorbis_lpc_to_lsp().

static int Laguerre_With_Deflation | ( | float * | a,
|  | int | ord,
|  | float * | r
| ) |  |

static

Definition at line 310 of file lsp.c.

References e, EPSILON, fabs(), i, m, and pp.

Referenced by vorbis_lpc_to_lsp().

static int Newton_Raphson | ( | float * | a,
|  | int | ord,
|  | float * | r
| ) |  |

static

Definition at line 366 of file lsp.c.

References e, error, i, k, and pp.

Referenced by vorbis_lpc_to_lsp().

int vorbis_lpc_to_lsp | ( | float * | lpc,
|  | float * | lsp,
|  | int | m
| ) |  |

Definition at line 405 of file lsp.c.

References cheby(), comp(), i, Laguerre_With_Deflation(), m, Newton_Raphson(), and qsort().

void vorbis_lsp_to_curve | ( | float * | curve,
|  | int * | map,
|  | int | n,
|  | int | ln,
|  | float * | lsp,
|  | int | m,
|  | float | amp,
|  | float | ampoffset
| ) |  |

Definition at line 248 of file lsp.c.

References cos(), fromdB, i, j, m, and M_PI.

Referenced by floor0_inverse2().